---
lang: en
title: 'API docs: typeorm.applicationusingtypeorm.connection'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.applicationusingtypeorm.connection.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [ApplicationUsingTypeOrm](./typeorm.applicationusingtypeorm.md) &gt; [connection](./typeorm.applicationusingtypeorm.connection.md)

## ApplicationUsingTypeOrm.connection() method

<b>Signature:</b>

```typescript
connection(options: ConnectionOptions): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | ConnectionOptions |  |

<b>Returns:</b>

void


